Bug 1474948 - Review Request: compat-tracker1 - Compatibility package with the tracker client-side libraries
Review Request: compat-tracker1 - Compatibility package with the tracker clie...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 12:30 EDT by Debarshi Ray
Modified: 2017-07-27 05:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 05:20:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
klember: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2017-07-25 12:30:35 EDT
Spec URL:
https://rishi.fedorapeople.org/compat-tracker1.spec

SRPM URL:
https://rishi.fedorapeople.org/compat-tracker1-1.12.1-1.fc25.src.rpm

Description: <description here>
Compatibility package with the tracker 1.0 client-side ABI. It is meant to
work with the session services shipped by tracker 1.99.x/2.x.

Fedora Account System Username:
rishi

Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20725596
Comment 1 Debarshi Ray 2017-07-25 12:42:20 EDT
I sneaked in a few tweaks to the scriptlets based on rpmlint feedback that I overlooked. Here is a newer scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20725699
Comment 2 Kalev Lember 2017-07-26 09:30:07 EDT
Fedora review compat-tracker1-1.12.1-1.fc25.src.rpm 2017-07-26

$ rpmlint compat-tracker1-1.12.1-1.fc25.src.rpm \
          compat-tracker1-1.12.1-1.fc26.x86_64.rpm \
          compat-tracker1-debuginfo-1.12.1-1.fc26.x86_64.rpm
compat-tracker1.x86_64: W: obsolete-not-provided compat-tracker016
compat-tracker1.x86_64: W: obsolete-not-provided compat-tracker018
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ OK
! needs attention

+ rpmlint warnings are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The license text (COPYING) is included in %license
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match the sources in the srpm
  a99bc07515d74e2a3b578ddba061060566aad00d8d9579fb726105db66da5374b40222dc23e7323b244a595c856ddb3b6c7ccc6be1a13cbb8669f93d0afd8b59  tracker-1.12.1.tar.xz
  a99bc07515d74e2a3b578ddba061060566aad00d8d9579fb726105db66da5374b40222dc23e7323b244a595c856ddb3b6c7ccc6be1a13cbb8669f93d0afd8b59  Download/tracker-1.12.1.tar.xz
+ The package builds in koji (https://koji.fedoraproject.org/koji/taskinfo?taskID=20725596)
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
+ ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
! Package owns all the directories it creates

  %{_libdir}/girepository-1.0 directory is missing from %files (it's also a problem in the tracker where this was copied from).

+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect the runtime of application
n/a Static libraries should be in -static
n/a Development files should be in -devel
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Just two minor things I'd change:

1) add '%dir %{_libdir}/girepository-1.0' to %files so that the directory gets properly removed when the package is uninstalled
2) compat-tracker018 and compat-tracker016 obsoletes semantically belong to tracker and not here, I think. Removing these would also conveniently fix the rpmlint warning above.

Beyond that, looks nice and clean. APPROVED
Comment 3 Debarshi Ray 2017-07-26 11:16:03 EDT
(In reply to Kalev Lember from comment #2)

Thanks for the review!

> Just two minor things I'd change:
> 
> 1) add '%dir %{_libdir}/girepository-1.0' to %files so that the directory
> gets properly removed when the package is uninstalled
> 2) compat-tracker018 and compat-tracker016 obsoletes semantically belong to
> tracker and not here, I think. Removing these would also conveniently fix
> the rpmlint warning above.

Makes sense. I have changed those.

Spec:
https://rishi.fedorapeople.org/compat-tracker1.spec

SRPM:
https://rishi.fedorapeople.org/compat-tracker1-1.12.1-2.fc25.src.rpm

Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20764897
Comment 4 Gwyn Ciesla 2017-07-26 11:55:17 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/compat-tracker1
Comment 5 Debarshi Ray 2017-07-27 05:20:19 EDT
Thanks, Gwyn! I have now submitted a rawhide build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20796171

Note You need to log in before you can comment on or make changes to this bug.